Bug 999136 - Review Request: python-backports-lzma - Backport of Python 3.3's lzma module
Summary: Review Request: python-backports-lzma - Backport of Python 3.3's lzma module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-20 19:21 UTC by Ian Weller
Modified: 2014-04-28 11:53 UTC (History)
4 users (show)

Fixed In Version: datagrepper-0.2.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-14 16:06:30 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ian Weller 2013-08-20 19:21:41 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/python-backports-lzma/0.0.2-1/python-backports-lzma.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/python-backports-lzma/0.0.2-1/python-backports-lzma-0.0.2-1.fc19.src.rpm
Fedora Account System Username: ianweller

This is a backport of the "lzma" module included in Python 3.3 or later by
Nadeem Vawda and Per Oyvind Karlsen, which provides a Python wrapper for XZ
Utils (aka LZMA Utils v2) by Igor Pavlov.

Comment 1 Ian Weller 2013-08-20 19:28:32 UTC
(This doesn't quite build in a Koji scratch build yet because we are waiting on python-backports to get into the buildroot in rawhide. The build was done today.)

Comment 4 Jamie Nguyen 2013-08-20 19:59:41 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

Incorrect permissions here:

python-backports-lzma.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/backports/lzma/_lzma.so 0775L


Also, LICENSE file is present in upstream VCS for 0.0.2 release:
https://raw.github.com/peterjc/backports.lzma/backports.lzma.v0.0.2/LICENSE

You could include this as a SOURCE (or alternatively use the github release, but pypi probably preferred here).


===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 5 files have
     unknown license. Detailed output of licensecheck in
     /home/mockbuild/review/python-backports-lzma/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-backports-lzma-0.0.2-3.fc20.x86_64.rpm
python-backports-lzma.x86_64: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
python-backports-lzma.x86_64: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python-backports-lzma.x86_64: W: no-documentation
python-backports-lzma.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/backports/lzma/_lzma.so 0775L
1 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-backports-lzma
python-backports-lzma.x86_64: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
python-backports-lzma.x86_64: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python-backports-lzma.x86_64: W: no-documentation
python-backports-lzma.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/backports/lzma/_lzma.so 0775L
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-backports-lzma (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    liblzma.so.5()(64bit)
    liblzma.so.5(XZ_5.0)(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    python-backports
    rtld(GNU_HASH)



Provides
--------
python-backports-lzma:
    python-backports-lzma
    python-backports-lzma(x86-64)



Unversioned so-files
--------------------
python-backports-lzma: /usr/lib64/python2.7/site-packages/backports/lzma/_lzma.so

Source checksums
----------------
https://pypi.python.org/packages/source/b/backports.lzma/backports.lzma-0.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : a0966deeb2533e96ea84dc0fb7948aa23421c7f061197133b62665a52dfa64e6
  CHECKSUM(SHA256) upstream package : a0966deeb2533e96ea84dc0fb7948aa23421c7f061197133b62665a52dfa64e6


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n python-backports-lzma-0.0.2-3.fc19.src.rpm

Comment 6 Jamie Nguyen 2013-09-17 15:19:21 UTC
Rpmlint
-------
Checking: python-backports-lzma-0.0.2-4.fc21.x86_64.rpm
          python-backports-lzma-0.0.2-4.fc21.src.rpm
<snip>
python-backports-lzma.x86_64: W: unstripped-binary-or-object /usr/lib64/python2.7/site-packages/backports/lzma/_lzma.so
<snip>
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


Shouldn't _lzma.so be executable? Instead of `chmod a-x`, I would have changed from 0775 to 0755, which should make rpmlint happy.

Comment 7 Jamie Nguyen 2013-09-17 15:19:58 UTC
Oops, sorry, accidentally granted the review...

Comment 9 Jamie Nguyen 2013-09-17 15:56:56 UTC
Package approved!

Comment 10 Ian Weller 2013-09-18 14:13:00 UTC
New Package SCM Request
=======================
Package Name: python-backports-lzma
Short Description: Backport of Python 3.3's lzma module
Owners: ianweller
Branches: f18 f19 f20 el6
InitialCC:

Comment 11 Gwyn Ciesla 2013-09-18 14:29:28 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-09-18 19:42:45 UTC
python-datanommer-consumer-0.6.0-1.el6,python-datanommer-models-0.6.0-2.el6,datagrepper-0.2.0-1.el6,python-backports-lzma-0.0.2-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-datanommer-consumer-0.6.0-1.el6,python-datanommer-models-0.6.0-2.el6,datagrepper-0.2.0-1.el6,python-backports-lzma-0.0.2-5.el6

Comment 13 Fedora Update System 2013-09-19 19:34:45 UTC
Package python-datanommer-consumer-0.6.0-1.el6, python-datanommer-models-0.6.0-2.el6, datagrepper-0.2.0-1.el6, python-backports-lzma-0.0.2-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-datanommer-consumer-0.6.0-1.el6 python-datanommer-models-0.6.0-2.el6 datagrepper-0.2.0-1.el6 python-backports-lzma-0.0.2-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11630/python-datanommer-consumer-0.6.0-1.el6,python-datanommer-models-0.6.0-2.el6,datagrepper-0.2.0-1.el6,python-backports-lzma-0.0.2-5.el6
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2013-09-28 18:44:06 UTC
Package datagrepper-0.2.1-1.el6, python-datanommer-consumer-0.6.0-1.el6, python-datanommer-models-0.6.0-2.el6, python-backports-lzma-0.0.2-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing datagrepper-0.2.1-1.el6 python-datanommer-consumer-0.6.0-1.el6 python-datanommer-models-0.6.0-2.el6 python-backports-lzma-0.0.2-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11630/python-datanommer-consumer-0.6.0-1.el6,python-datanommer-models-0.6.0-2.el6,datagrepper-0.2.1-1.el6,python-backports-lzma-0.0.2-5.el6
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2013-10-14 16:06:30 UTC
datagrepper-0.2.1-1.el6, python-datanommer-consumer-0.6.0-1.el6, python-datanommer-models-0.6.0-2.el6, python-backports-lzma-0.0.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Marek Goldmann 2014-04-24 12:12:33 UTC
Package Change Request
======================
Package Name: python-backports-lzma
New Branches: epel7
Owners: goldmann

Comment 17 Gwyn Ciesla 2014-04-24 12:42:37 UTC
Any comments from the Fedora maintainer?

Comment 18 Marek Goldmann 2014-04-24 13:32:43 UTC
(In reply to Jon Ciesla from comment #17)
> Any comments from the Fedora maintainer?

I asked Ian in the bug 1066911 (which was created over two months ago) and didn't receive any response. This package blocks docker-registry to make it available to people in EPEL 7.

Comment 19 Ian Weller 2014-04-26 08:00:20 UTC
Hello, apologies for the delayed response.

Please go ahead and make the change request, giving ownership of epel7 to goldmann.

Comment 20 Gwyn Ciesla 2014-04-28 11:53:44 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.